View Issue Details

IDProjectCategoryView StatusLast Update
0016388LazarusLCLpublic2011-05-25 23:24
ReporterFlávio Etrusco (notifications not working)Assigned ToPaul Ishenin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.29 (SVN)Product Build 
Target VersionFixed in Version0.9.30 
Summary0016388: Can't focus a control in TPageControl.OnChange
DescriptionFocusing a control located in the tabsheet being activated in TPageControl.OnChange doesn't work (no control gets focus). Example attached.
Also:
- TTabSheet.OnEnter never gets triggered;
- SetFocus in TTabSheet.OnShow in the initially selected page raises "cannot focus hidden control";
- SetFocus in TTabSheet.OnShow not in the initially selected page has no effect;
- "ActiveControl := X" in TTabSheet.OnShow in the initially selected page works (only at start);
- "ActiveControl := X" in TTabSheet.OnShow not in the initially selected page selects the control but doesn't show focus;
- Don't know whether is correct behavior or not: TPageControl.OnChange doesn't trigger for initial load.
TagsNo tags attached.
Fixed in Revision
LazTarget-
WidgetsetGTK 2, Win32/Win64
Attached Files

Activities

2010-05-02 00:55

 

test_pagecontrol_focus.zip (129,607 bytes)

Paul Ishenin

2010-05-09 15:56

manager   ~0037396

Please test with r25274
It works, thanks!
BTW, the issues with OnShow remain, what should I do about it?

Issue History

Date Modified Username Field Change
2010-05-02 00:55 Flávio Etrusco (notifications not working) New Issue
2010-05-02 00:55 Flávio Etrusco (notifications not working) File Added: test_pagecontrol_focus.zip
2010-05-02 00:56 Flávio Etrusco (notifications not working) LazTarget => -
2010-05-02 00:56 Flávio Etrusco (notifications not working) Widgetset => GTK 2, Win32/Win64
2010-05-09 15:56 Paul Ishenin Note Added: 0037396
2010-05-09 15:56 Paul Ishenin Status new => feedback
2010-05-09 18:53 Flávio Etrusco (notifications not working) Note Added: 0037400
2010-05-09 18:54 Flávio Etrusco (notifications not working) Status feedback => resolved
2010-05-09 18:54 Flávio Etrusco (notifications not working) Fixed in Version => 0.9.30
2010-05-09 18:54 Flávio Etrusco (notifications not working) Resolution open => fixed
2010-05-09 18:54 Flávio Etrusco (notifications not working) Assigned To => Flávio Etrusco (notifications not working)
2010-05-09 18:55 Flávio Etrusco (notifications not working) Assigned To Flávio Etrusco (notifications not working) => Paul Ishenin
2010-05-09 19:15 Flávio Etrusco (notifications not working) Note Added: 0037401
2011-05-25 23:24 Flávio Etrusco (notifications not working) Status resolved => closed